package com.cpp.web.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;
@Data
public class BaseCppEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private String creator;
    /**
     * 创建时间
     */

    @TableField( fill = FieldFill.INSERT)
    private LocalDateTime createTime;
    /**
     * 最后修改者
     */

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String lastModifier;
    /**
     * 最后修改时间
     */

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime lastModifyTime;


    /**
     * 场站标识
     */
    private String stationCode;
}
